<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ac341b2d-4104-4375-939f-dcebd630a5fd" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="pms" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TagController.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="19" column="31" selection-start-line="19" selection-start-column="31" selection-end-line="19" selection-end-column="31" />
              <folding>
                <element signature="e#28#370#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/service/TagService.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="478">
              <caret line="43" column="27" selection-start-line="43" selection-start-column="27" selection-end-line="43" selection-end-column="27" />
              <folding>
                <element signature="e#25#479#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/repository/TaskRepository.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="13" column="60" selection-start-line="13" selection-start-column="60" selection-end-line="13" selection-end-column="60" />
              <folding>
                <element signature="e#28#168#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/Application.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="170">
              <caret line="10" column="1" lean-forward="true" selection-start-line="10" selection-start-column="1" selection-end-line="10" selection-end-column="1" />
              <folding>
                <element signature="e#13#241#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TaskController.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="306">
              <caret line="25" column="9" selection-start-line="25" selection-start-column="9" selection-end-line="25" selection-end-column="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/service/TaskService.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="461">
              <caret line="43" column="75" lean-forward="true" selection-start-line="43" selection-start-column="75" selection-end-line="43" selection-end-column="75" />
              <folding>
                <element signature="e#25#424#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Task.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="495">
              <caret line="30" column="78" selection-start-line="30" selection-start-column="78" selection-end-line="30" selection-end-column="78" />
              <folding>
                <element signature="e#24#234#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Tag.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="19" column="20" selection-start-line="19" selection-start-column="20" selection-end-line="19" selection-end-column="20" />
              <folding>
                <element signature="e#23#179#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Kotlin File" />
        <option value="Class" />
        <option value="Kotlin Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>e</find>
      <find>exception</find>
      <find>notfound</find>
      <find>NoHandlerFoundException</find>
      <find>404</find>
      <find>findById</find>
      <find>422</find>
      <find>handleMethodArgumentNotValid</find>
      <find>flush</find>
      <find>tags_tasks</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/kotlin/main.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/Application.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/domain/Greeting.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/controller/GreetingController.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/controller/TaskController.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/controller/TagController.java" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/repository/TagRepository.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/service/UserService.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/service/TagService.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/controller/TagController.kt" />
        <option value="$PROJECT_DIR$/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/domain/Tag.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/error/CustomRestExceptionHandler.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/error/ResponseEntity.java" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/error/ApiError.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/error/CustomRestExceptionHandler.java" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/error/ExistedUserHandler.java" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/ErrorsDetails.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/UserAlreadyExistsException.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TagDoesNotExistsException.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TagWithSuchNameAlreadyExists.java" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TagDoesNotExistException.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/tasks.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TagWithSuchNameAlreadyExists.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/task.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TaskDoesNotExistException.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/config/ValidatorEventRegister.java" />
        <option value="$PROJECT_DIR$/build.gradle" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/ApiError.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/controller/AdviceRequestErrorController.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/repository/TagRepository.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TagController.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TaskController.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Tag.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Task.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/service/TagService.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/service/TaskService.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/api/repository/TaskRepository.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/pms/Application.kt" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name=".gradle" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="build" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="build" type="462c0819:PsiDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
              <item name="domain" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
              <item name="exception" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
              <item name="repository" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="pms" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="pms" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="pms" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.project.gradle" />
  </component>
  <component name="RecentsManager">
    <key name="ExtractSuperBase.RECENT_KEYS">
      <recent name="pms.api.error" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\lifespring\IdeaProjects\pms\src\main\kotlin\pms\" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ac341b2d-4104-4375-939f-dcebd630a5fd" name="Default Changelist" comment="" />
      <created>1579674855391</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1579674855391</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1176" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.25" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info active="true" anchor="bottom" id="Terminal" visible="true" weight="0.32981783" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Build" weight="0.27420902" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32981783" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Gradle" weight="0.32995737" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.hibernate.validator/hibernate-validator/6.0.17.Final/7018c4feae164e19041a968e4d1e5576008b264f/hibernate-validator-6.0.17.Final-sources.jar!/org/hibernate/validator/constraints/NotBlank.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="280">
          <caret line="44" column="18" selection-start-line="44" selection-start-column="18" selection-end-line="44" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/AdoptOpenJDK/jdk-8.0.222.10-hotspot/src.zip!/java/util/concurrent/ThreadPoolExecutor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="623" selection-start-line="623" selection-end-line="624" />
          <folding>
            <element signature="e#26553#26554#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-context/5.1.8.RELEASE/837c4548bff5d8795b6c436120512f8cc9af6fb8/spring-context-5.1.8.RELEASE-sources.jar!/org/springframework/stereotype/Controller.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="45" column="18" selection-start-line="45" selection-start-column="18" selection-end-line="45" selection-end-column="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-web/5.1.8.RELEASE/4e19ca13005f5175b8cf87c0d3a0df681d2e55c/spring-web-5.1.8.RELEASE-sources.jar!/org/springframework/web/bind/annotation/RestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="58" column="30" lean-forward="true" selection-start-line="58" selection-start-column="30" selection-end-line="58" selection-end-column="30" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/Column.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="952">
          <caret line="74" column="34" selection-start-line="74" selection-start-column="34" selection-end-line="74" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-context/5.1.8.RELEASE/837c4548bff5d8795b6c436120512f8cc9af6fb8/spring-context-5.1.8.RELEASE-sources.jar!/org/springframework/validation/Errors.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="198" column="22" selection-start-line="198" selection-start-column="22" selection-end-line="198" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/config/ValidatorEventRegister.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="544">
          <caret line="32" column="3" selection-start-line="32" selection-start-column="3" selection-end-line="32" selection-end-column="3" />
          <folding>
            <element signature="e#0#1151#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-web/5.1.8.RELEASE/4e19ca13005f5175b8cf87c0d3a0df681d2e55c/spring-web-5.1.8.RELEASE-sources.jar!/org/springframework/http/HttpStatus.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="310" column="24" selection-start-line="310" selection-start-column="4" selection-end-line="310" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-web/5.1.8.RELEASE/4e19ca13005f5175b8cf87c0d3a0df681d2e55c/spring-web-5.1.8.RELEASE-sources.jar!/org/springframework/web/bind/MethodArgumentNotValidException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-136">
          <caret line="29" column="13" selection-start-line="29" selection-start-column="13" selection-end-line="29" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/exception/TagDoesNotExistException.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="64" selection-end-line="2" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-context/5.1.8.RELEASE/837c4548bff5d8795b6c436120512f8cc9af6fb8/spring-context-5.1.8.RELEASE-sources.jar!/org/springframework/validation/ObjectError.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="410">
          <caret line="71" column="31" selection-start-line="71" selection-start-column="18" selection-end-line="71" selection-end-column="31" />
          <folding>
            <element signature="e#1598#1599#0" expanded="true" />
            <element signature="e#1649#1650#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework.boot/spring-boot/2.1.6.RELEASE/b351c79404e096cc28d45f8395f53cc856989098/spring-boot-2.1.6.RELEASE-sources.jar!/org/springframework/boot/json/GsonJsonParser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="21" column="25" selection-start-line="21" selection-start-column="25" selection-end-line="21" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-webmvc/5.1.8.RELEASE/1b39bc8f5e65621e891efb0dc6e2d5cf7e443ae3/spring-webmvc-5.1.8.RELEASE-sources.jar!/org/springframework/web/servlet/mvc/method/annotation/ResponseEntityExceptionHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1675">
          <caret line="458" column="37" selection-start-line="458" selection-start-column="37" selection-end-line="458" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/com.google.code.gson/gson/2.8.5/c5b4c491aecb72e7c32a78da0b5c6b9cda8dee0f/gson-2.8.5-sources.jar!/com/google/gson/Gson.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2924">
          <caret line="613" column="16" selection-start-line="613" selection-start-column="16" selection-end-line="613" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/com.google.code.gson/gson/2.8.5/c5b4c491aecb72e7c32a78da0b5c6b9cda8dee0f/gson-2.8.5-sources.jar!/com/google/gson/JsonObject.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-338">
          <caret line="31" column="19" selection-start-line="31" selection-start-column="19" selection-end-line="31" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/error/ApiError.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="6" selection-start-line="5" selection-start-column="6" selection-end-line="5" selection-end-column="6" />
          <folding>
            <element signature="e#23#84#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/AdoptOpenJDK/jdk-8.0.222.10-hotspot/src.zip!/java/util/HashMap.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="554" column="13" selection-start-line="554" selection-start-column="13" selection-end-line="554" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/ApiError.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="97" selection-start-line="4" selection-start-column="97" selection-end-line="4" selection-end-column="97" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/ErrorsDetails.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="82" selection-start-line="4" selection-start-column="24" selection-end-line="4" selection-end-column="82" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="37" lean-forward="true" selection-start-line="37" selection-end-line="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/controller/AdviceRequestErrorController.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="35" column="5" lean-forward="true" selection-start-line="35" selection-start-column="5" selection-end-line="35" selection-end-column="5" />
          <folding>
            <element signature="e#28#618#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/UniqueConstraint.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="40" column="18" selection-start-line="40" selection-start-column="18" selection-end-line="40" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.validation/validation-api/2.0.1.Final/4b714a5167580122e46ead3317ffcdcdbd67c5f0/validation-api-2.0.1.Final-sources.jar!/javax/validation/constraints/NotNull.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="36" column="21" selection-start-line="36" selection-start-column="21" selection-end-line="36" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.validation/validation-api/2.0.1.Final/4b714a5167580122e46ead3317ffcdcdbd67c5f0/validation-api-2.0.1.Final-sources.jar!/javax/validation/constraints/Min.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="48" column="18" selection-start-line="48" selection-start-column="18" selection-end-line="48" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.validation/validation-api/2.0.1.Final/4b714a5167580122e46ead3317ffcdcdbd67c5f0/validation-api-2.0.1.Final-sources.jar!/javax/validation/constraints/Max.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="476">
          <caret line="48" column="18" selection-start-line="48" selection-start-column="18" selection-end-line="48" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.validation/validation-api/2.0.1.Final/4b714a5167580122e46ead3317ffcdcdbd67c5f0/validation-api-2.0.1.Final-sources.jar!/javax/validation/constraints/Size.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="121">
          <caret line="45" column="18" selection-start-line="45" selection-start-column="18" selection-end-line="45" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-web/5.1.8.RELEASE/4e19ca13005f5175b8cf87c0d3a0df681d2e55c/spring-web-5.1.8.RELEASE-sources.jar!/org/springframework/http/ResponseEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="246" column="40" selection-start-line="246" selection-start-column="40" selection-end-line="246" selection-end-column="40" />
          <folding>
            <element signature="e#3130#3131#0" expanded="true" />
            <element signature="e#3161#3162#0" expanded="true" />
            <element signature="e#3416#3417#0" expanded="true" />
            <element signature="e#3450#3451#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/ManyToOne.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1088">
          <caret line="84" column="18" selection-start-line="84" selection-start-column="18" selection-end-line="84" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/CascadeType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="25" column="12" selection-start-line="25" selection-start-column="12" selection-end-line="25" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.validation/validation-api/2.0.1.Final/4b714a5167580122e46ead3317ffcdcdbd67c5f0/validation-api-2.0.1.Final-sources.jar!/javax/validation/constraints/NotBlank.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="6" column="29" selection-start-line="6" selection-start-column="29" selection-end-line="6" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/OneToMany.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1802">
          <caret line="126" column="19" selection-start-line="126" selection-start-column="11" selection-end-line="126" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-beans/5.1.8.RELEASE/70ce5cb63540ea0a184a49d454844e9d9f21fbd5/spring-beans-5.1.8.RELEASE-sources.jar!/org/springframework/beans/factory/support/AbstractBeanFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="317" selection-start-line="317" selection-end-line="317" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/EntityManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="558" column="17" selection-start-line="558" selection-start-column="17" selection-end-line="558" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/repository/TagRepository.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="31" lean-forward="true" selection-start-line="8" selection-start-column="31" selection-end-line="8" selection-end-column="31" />
          <folding>
            <element signature="e#28#163#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework.data/spring-data-commons/2.1.9.RELEASE/734111754bd8be5277a0be4f357479ee8e1c14e9/spring-data-commons-2.1.9.RELEASE-sources.jar!/org/springframework/data/repository/CrudRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="35" column="20" selection-start-line="35" selection-start-column="20" selection-end-line="35" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.3.50/bc0c767786c4a3c042a364e69d3f3dd5ff5253a5/kotlin-stdlib-1.3.50-sources.jar!/kotlin/jvm/annotations/JvmPlatformAnnotations.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="98" column="30" selection-start-line="98" selection-start-column="30" selection-end-line="98" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/javax.persistence/javax.persistence-api/2.2/462dff65f6f8bde02ee9d8afe07fe9d50268199c/javax.persistence-api-2.2-sources.jar!/javax/persistence/Persistence.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="52" column="39" selection-start-line="52" selection-start-column="39" selection-end-line="52" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework/spring-tx/5.1.8.RELEASE/ec3f0a308aba6b4fdba06e449de5566dcc7f8fe2/spring-tx-5.1.8.RELEASE-sources.jar!/org/springframework/transaction/annotation/Transactional.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1630">
          <caret line="62" column="18" selection-start-line="62" selection-start-column="18" selection-end-line="62" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TaskController.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="25" column="9" selection-start-line="25" selection-start-column="9" selection-end-line="25" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Task.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="495">
          <caret line="30" column="78" selection-start-line="30" selection-start-column="78" selection-end-line="30" selection-end-column="78" />
          <folding>
            <element signature="e#24#234#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/service/TaskService.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="461">
          <caret line="43" column="75" lean-forward="true" selection-start-line="43" selection-start-column="75" selection-end-line="43" selection-end-column="75" />
          <folding>
            <element signature="e#25#424#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/domain/Tag.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="19" column="20" selection-start-line="19" selection-start-column="20" selection-end-line="19" selection-end-column="20" />
          <folding>
            <element signature="e#23#179#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/service/TagService.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="478">
          <caret line="43" column="27" selection-start-line="43" selection-start-column="27" selection-end-line="43" selection-end-column="27" />
          <folding>
            <element signature="e#25#479#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework.data/spring-data-jpa/2.1.9.RELEASE/4d29fc90c157a0c78ac6455548be98ab8e441539/spring-data-jpa-2.1.9.RELEASE-sources.jar!/org/springframework/data/jpa/repository/JpaRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-748">
          <caret line="35" column="17" selection-start-line="35" selection-start-column="17" selection-end-line="35" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/repository/TaskRepository.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="60" selection-start-line="13" selection-start-column="60" selection-end-line="13" selection-end-column="60" />
          <folding>
            <element signature="e#28#168#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/api/controller/TagController.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="19" column="31" selection-start-line="19" selection-start-column="31" selection-end-line="19" selection-end-column="31" />
          <folding>
            <element signature="e#28#370#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.springframework.boot/spring-boot/2.1.6.RELEASE/b351c79404e096cc28d45f8395f53cc856989098/spring-boot-2.1.6.RELEASE-sources.jar!/org/springframework/boot/web/servlet/MultipartConfigFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="73" column="16" selection-start-line="73" selection-start-column="16" selection-end-line="73" selection-end-column="16" />
          <folding>
            <element signature="e#2234#2235#0" expanded="true" />
            <element signature="e#2284#2285#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/pms/Application.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="1" lean-forward="true" selection-start-line="10" selection-start-column="1" selection-end-line="10" selection-end-column="1" />
          <folding>
            <element signature="e#13#241#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>main|pms</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>